Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_UDP_Connector Class Reference

`#include <UDP.h>`

Inheritance diagram for TAO_AV_UDP_Connector

[legend]
Collaboration diagram for TAO_AV_UDP_Connector:

[legend]
List of all members.

## Public Methods
| TAO_AV_UDP_Connector (void)
| ~TAO_AV_UDP_Connector (void)
virtual int | open (TAO_Base_StreamEndPoint *endpoint, TAO_AV_Core *av_core, TAO_AV_Flow_Protocol_Factory *factory)
virtual int | connect (TAO_FlowSpec_Entry *entry, TAO_AV_Transport *&transport, TAO_AV_Core::Flow_Component flow_comp = TAO_AV_Core::TAO_AV_DATA)
virtual int | activate_svc_handler (TAO_AV_Flow_Handler *handler)
virtual int | close (void)
## Protected Attributes
TAO_Base_StreamEndPoint* | endpoint_
TAO_AV_Core* | av_core_
TAO_FlowSpec_Entry* | entry_
TAO_AV_Flow_Protocol_Factory* | flow_protocol_factory_
TAO_AV_Core::Flow_Component | flow_component_

## Constructor & Destructor Documentation

TAO_AV_UDP_Connector::TAO_AV_UDP_Connector ( | void )

TAO_AV_UDP_Connector::~TAO_AV_UDP_Connector ( | void )

## Member Function Documentation

int TAO_AV_UDP_Connector::activate_svc_handler ( | TAO_AV_Flow_Handler * handler )`[virtual]`

int TAO_AV_UDP_Connector::close ( | void )`[virtual]`

| Reimplemented from TAO_AV_Connector.

int TAO_AV_UDP_Connector::connect ( | TAO_FlowSpec_Entry * entry,
| TAO_AV_Transport *& transport,
| TAO_AV_Core::Flow_Component flow_component = TAO_AV_Core::TAO_AV_DATA )`[virtual]`

| Reimplemented from TAO_AV_Connector.

int TAO_AV_UDP_Connector::open ( | TAO_Base_StreamEndPoint * endpoint,
| TAO_AV_Core * av_core,
| TAO_AV_Flow_Protocol_Factory * factory )`[virtual]`

| Reimplemented from TAO_AV_Connector.

## Member Data Documentation

TAO_AV_Core * TAO_AV_UDP_Connector::av_core_`[protected]`

TAO_Base_StreamEndPoint * TAO_AV_UDP_Connector::endpoint_`[protected]`

TAO_FlowSpec_Entry * TAO_AV_UDP_Connector::entry_`[protected]`

TAO_AV_Core::Flow_Component TAO_AV_UDP_Connector::flow_component_`[protected]`

TAO_AV_Flow_Protocol_Factory * TAO_AV_UDP_Connector::flow_protocol_factory_`[protected]`

The documentation for this class was generated from the following files:

- UDP.h
- UDP.cpp